Subject: Re: p1020 unstable with 3.2

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 28 Dec 2011 16:01:14 +1100

On Sun, 2011-12-25 at 11:48 +0100, Alexander Graf wrote:
> On 24.12.2011, at 07:53, Benjamin Herrenschmidt wrote:
> 
> > On Fri, 2011-12-23 at 17:54 +0100, Alexander Graf wrote:
> >> Hi guys,
> >> 
> >> While trying to test my latest patch queue for ppc kvm, I realized
> >> that even though the device trees got updated, the p1020 box still is
> >> unstable. The trace below is the one I've seen the most. It only
> >> occurs during network I/O which happens a lot on that box, since I'm
> >> running it using NFS root.
> >> 
> >> As for configuration, I use kumar's "merge" branch from today and the
> >> p1020rdb.dts device tree provided in that tree.
> >> 
> >> The last known good configuration I'm aware of is 3.0.
> >> 
> >> Any ideas what's going wrong here?
> > 
> > Try SLAB instead of SLUB and let me know. It -could- be a bogon in SLUB
> > that should be fixed upstream now but I think did hit 3.2
> 
> Yup, things seem a lot more stable with SLAB now :).

BTW. Fix for slub should be upstream:

42d623a8cd08eb93ab221d22cee5a62618895bbf

Cheers,
Ben.